{
"status": "error",
"errorType": "internal",
"error": "Internal Server Error"
}
Webhooks
Register a webhook
Creates a new webhook. Webhooks are registered per merchant_code and per environment:
the environment is determined by the secret key you authorize the request with —
a production key (sk_...) registers webhooks for production payments, a test key
(sk_test_...) registers webhooks for test payments. Each merchant_code + key pair
can have up to 4 webhooks.
POST
/
api
/
v1
/
webhooks
Register a webhook
curl --request POST \ --url https://api.tabby.ai/api/v1/webhooks \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --header 'X-Merchant-Code: <x-merchant-code>' \ --data '{ "url": "https://example.com/", "header": { "title": "Arbitrary header name to sign the request", "value": "Random string to sign the request" }}'
import requests
url = "https://api.tabby.ai/api/v1/webhooks"
payload = {
"url": "https://example.com/",
"header": {
"title": "Arbitrary header name to sign the request",
"value": "Random string to sign the request"
}
}
headers = {
"X-Merchant-Code": "<x-merchant-code>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
{
"status": "error",
"errorType": "internal",
"error": "Internal Server Error"
}
This is a public, self-service endpoint. Call https://api.tabby.ai/api/v1/webhooks (https://api.tabby.sa/api/v1/webhooks for KSA) with your secret key and the X-Merchant-Code header. How webhooks work, payload and retries: Payment webhooks.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Tabby","colors":{"primary":"#41A854","light":"#6CFF93","dark":"#41A854"},"logo":{"light":"https://mintcdn.com/tabby-26277sa/VGR1VunycMFYW0gO/logo/tabby-badge.svg?fit=max\u0026auto=format\u0026n=VGR1VunycMFYW0gO\u0026q=85\u0026s=0fd2a3090f99185f666929e20a7504a4","dark":"https://mintcdn.com/tabby-26277sa/VGR1VunycMFYW0gO/logo/tabby-badge.svg?fit=max\u0026auto=format\u0026n=VGR1VunycMFYW0gO\u0026q=85\u0026s=0fd2a3090f99185f666929e20a7504a4"},"favicon":"https://mintcdn.com/tabby-26277sa/t5b0diXp4aP0BKke/favicon-new.png?fit=max\u0026auto=format\u0026n=t5b0diXp4aP0BKke\u0026q=85\u0026s=35c48485cefd869270047b5cef780d80","api":{"playground":{"display":"interactive"},"examples":{"defaults":"all","languages":["curl","python","javascript","php","go","java","ruby"],"prefill":true}},"appearance":{"default":"light","strict":false},"navbar":{"primary":{"type":"button","label":"Register","href":"https://merchant.tabby.ai"}},"footer":{"socials":{"facebook":"https://www.facebook.com/tabbypay-100185885064531","instagram":"https://instagram.com/tabbypay","linkedin":"https://www.linkedin.com/company/tabbypay","x":"https://twitter.com/paywithtabby?lang=en"}},"styling":{"codeblocks":"dark","latex":false},"contextual":{"options":["copy","view","chatgpt","claude","mcp"],"display":"header"},"navigation":{"languages":[{"language":"en","default":true,"href":"introduction/what-is-tabby"},{"language":"ar","href":"ar/marketing/toolkit"}]}},"deployment":{"deploymentMetadataValue":{"subdomain":"tabby-26277sa","hasAudioNarration":false,"actualSubdomain":"tabby-26277sa","customDomains":["docs.tabby.sa"],"gitSource":{"type":"github","owner":"dmitriifrolovtabby","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"collectionId":"e7db906b-a6f9-40ac-b65d-c29741bf1c7d","liveDeploymentHistoryId":"6adb523e00bf4036f5c4a6eb","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6adb523e00bf4036f5c4a6eb"},"feedback":{"thumbs":true},"entitlements":{"AI_CHAT":{"status":"DISABLED"}},"buildId":"6adb523e00bf4036f5c4a6eb","clientVersion":"0.0.4006","searchFilterCounts":[{"language":"en","tag":"Documentation","count":36},{"language":"en","tag":"API Playground","count":28},{"language":"en","tag":"E-commerce Platforms","count":15},{"language":"en","tag":"Online Custom Integration","count":12},{"language":"en","tag":"Webhooks","count":7},{"language":"en","tag":"Disputes","count":6},{"language":"en","tag":"Payments","count":6},{"language":"en","tag":"Dispute Webhooks","count":5},{"language":"en","tag":"Introduction","count":5},{"language":"en","tag":"Shopify","count":3},{"language":"ar","tag":"مجموعة أدوات التسويق","count":1}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableContextualStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-v7-file-tree","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"pause-universal-search-reconcile","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"per-site-search-delta","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-private-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-nav-generations","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-agent-model-picker","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"styles.css","content":"@font-face{font-family:'Tabby Sans Display';src:url(/fonts/TabbySansDisplay-Bold.woff2) format('woff2');font-weight:100 900;font-style:normal;font-display:swap}@font-face{font-family:'Tabby Sans Text';src:url(/fonts/TabbySansText-Regular.woff2) format('woff2');font-weight:100 400;font-style:normal;font-display:swap}@font-face{font-family:'Tabby Sans Text';src:url(/fonts/TabbySansText-Medium.woff2) format('woff2');font-weight:500 600;font-style:normal;font-display:swap}@font-face{font-family:'Tabby Sans Text';src:url(/fonts/TabbySansText-Bold.woff2) format('woff2');font-weight:700 900;font-style:normal;font-display:swap}.font-sans,body{font-family:'Tabby Sans Text',ui-sans-serif,system-ui,-apple-system,sans-serif!important}h1,h2,h3,h4{font-family:'Tabby Sans Display','Tabby Sans Text',sans-serif;letter-spacing:normal!important}img.product-shot,video.product-shot{display:block;margin:1.5rem auto;border-radius:1rem;border:1px solid rgb(10 10 10/.1);box-shadow:0 10px 25px -5px rgb(0 0 0/.12),0 4px 10px -6px rgb(0 0 0/.1)}.dark img.product-shot,.dark video.product-shot{border-color:rgb(255 255 255/.15);box-shadow:0 10px 25px -5px rgb(0 0 0/.45)}img.framed-shot,img.snippet-shot{display:block;margin:1.5rem auto}img.framed-shot{width:min(520px,100%);border-radius:12px}li img.framed-shot{width:min(520px,calc(100% - 38px))}div.product-shot-figure{margin:1.5rem auto;text-align:center}div.product-shot-figure img.product-shot{margin:1.5rem auto 0}p.product-shot-caption{margin-top:.75rem;font-size:.875rem;color:rgb(107 114 128)}html[lang=ar] #content,html[lang=ar] .mdx-content{direction:rtl}html[lang=ar] #header{direction:rtl;text-align:right}html[lang=ar] #content :is(ul, ol)>li{padding-left:6px;padding-right:32px}html[lang=ar] #content :is(ul, ol)>li::before{left:auto;right:8px}html[lang=ar] #content a svg.rotate-0.overflow-visible,html[lang=ar] #content svg.lucide-arrow-right,html[lang=ar] #content svg.lucide-arrow-up-right,html[lang=ar] #content svg.lucide-chevron-right{transform:scaleX(-1)}html[lang=ar] #content .absolute:has(>svg.lucide-arrow-up-right){right:auto;left:1.25rem}html[lang=ar] #content blockquote{border-left-width:0}#content-area .mdx-content,#content-container .mdx-content{max-width:80ch}@media (min-width:1280px){.max-w-8xl,div:has(>#content-container){max-width:100rem!important}}button[data-component-part=code-block-footer-button]{color:#6cff93!important;font-weight:600}button[data-component-part=code-block-footer-button]:hover{text-decoration:underline}.messaging-table table td:first-child,.messaging-table table th:first-child{width:1%;min-width:0;white-space:nowrap}:root:not(.dark) span[data-badge=true][data-color=gray]{background-color:#f5f4f2!important;color:#1a1919!important}:root:not(.dark) span[data-badge=true][data-color=blue]{background-color:#dfecf7!important;color:#3380c0!important}:root:not(.dark) span[data-badge=true][data-color=green]{background-color:#daf0df!important;color:#238e3b!important}:root:not(.dark) span[data-badge=true][data-color=yellow]{background-color:#fcedb8!important;color:#d66a1e!important}:root:not(.dark) span[data-badge=true][data-color=orange]{background-color:#ffe6cc!important;color:#d66a1e!important}:root:not(.dark) span[data-badge=true][data-color=red]{background-color:#ffe1de!important;color:#d44c3b!important}:root:not(.dark) span[data-badge=true][data-color=purple]{background-color:#f5defa!important;color:#a55ab8!important}:root:not(.dark) .callout[data-callout-type=info],:root:not(.dark) .callout[data-callout-type=note]{background-color:#dfecf7!important;border-color:#c4dcef!important}:root:not(.dark) .callout[data-callout-type=info] [data-component-part=callout-content],:root:not(.dark) .callout[data-callout-type=info] [data-component-part=callout-icon],:root:not(.dark) .callout[data-callout-type=note] [data-component-part=callout-content],:root:not(.dark) .callout[data-callout-type=note] [data-component-part=callout-icon]{color:#3380c0!important}:root:not(.dark) .callout[data-callout-type=check],:root:not(.dark) .callout[data-callout-type=tip]{background-color:#daf0df!important;border-color:#bfe4c9!important}:root:not(.dark) .callout[data-callout-type=check] [data-component-part=callout-content],:root:not(.dark) .callout[data-callout-type=check] [data-component-part=callout-icon],:root:not(.dark) .callout[data-callout-type=tip] [data-component-part=callout-content],:root:not(.dark) .callout[data-callout-type=tip] [data-component-part=callout-icon]{color:#238e3b!important}:root:not(.dark) .callout[data-callout-type=danger]{background-color:#ffe1de!important;border-color:#ffc7c1!important}:root:not(.dark) .callout[data-callout-type=danger] [data-component-part=callout-content],:root:not(.dark) .callout[data-callout-type=danger] [data-component-part=callout-icon]{color:#d44c3b!important}:root:not(.dark) .callout[data-callout-type=warning]{background-color:#fcedb8!important;border-color:#f5de8e!important}:root:not(.dark) .callout[data-callout-type=warning] [data-component-part=callout-content],:root:not(.dark) .callout[data-callout-type=warning] [data-component-part=callout-icon]{color:#d66a1e!important}.dark span[data-badge=true][data-color=gray]{background-color:rgb(245 244 242/.12)!important;color:#e8e6e3!important}.dark span[data-badge=true][data-color=blue]{background-color:rgb(51 128 192/.22)!important;color:#dfecf7!important}.dark span[data-badge=true][data-color=green]{background-color:rgb(35 142 59/.22)!important;color:#daf0df!important}.dark span[data-badge=true][data-color=yellow]{background-color:rgb(214 106 30/.22)!important;color:#fcedb8!important}.dark span[data-badge=true][data-color=orange]{background-color:rgb(214 106 30/.22)!important;color:#ffe6cc!important}.dark span[data-badge=true][data-color=red]{background-color:rgb(212 76 59/.22)!important;color:#ffe1de!important}.dark span[data-badge=true][data-color=purple]{background-color:rgb(165 90 184/.22)!important;color:#f5defa!important}.dark .callout[data-callout-type=info],.dark .callout[data-callout-type=note]{background-color:rgb(51 128 192/.18)!important;border-color:rgb(51 128 192/.45)!important}.dark .callout[data-callout-type=info] [data-component-part=callout-content],.dark .callout[data-callout-type=info] [data-component-part=callout-icon],.dark .callout[data-callout-type=note] [data-component-part=callout-content],.dark .callout[data-callout-type=note] [data-component-part=callout-icon]{color:#dfecf7!important}.dark .callout[data-callout-type=check],.dark .callout[data-callout-type=tip]{background-color:rgb(35 142 59/.18)!important;border-color:rgb(35 142 59/.45)!important}.dark .callout[data-callout-type=check] [data-component-part=callout-content],.dark .callout[data-callout-type=check] [data-component-part=callout-icon],.dark .callout[data-callout-type=tip] [data-component-part=callout-content],.dark .callout[data-callout-type=tip] [data-component-part=callout-icon]{color:#daf0df!important}.dark .callout[data-callout-type=danger]{background-color:rgb(212 76 59/.18)!important;border-color:rgb(212 76 59/.45)!important}.dark .callout[data-callout-type=danger] [data-component-part=callout-content],.dark .callout[data-callout-type=danger] [data-component-part=callout-icon]{color:#ffe1de!important}.dark .callout[data-callout-type=warning]{background-color:rgb(214 106 30/.18)!important;border-color:rgb(214 106 30/.45)!important}.dark .callout[data-callout-type=warning] [data-component-part=callout-content],.dark .callout[data-callout-type=warning] [data-component-part=callout-icon]{color:#fcedb8!important}.callout [data-component-part=callout-icon] svg{color:inherit!important}#content a.cta-button{display:inline-flex;align-items:center;gap:.5rem;padding:.75rem 1.5rem;border-radius:9999px;background-color:#41a854;color:#fff!important;font-weight:600;font-size:1rem;line-height:1.25;text-decoration:none!important;transition:background-color .15s ease,transform .15s ease}#content a.cta-button::after{content:\"↗\";font-size:1.05em;line-height:1}#content a.cta-button:hover{background-color:#2f8b41;transform:translateY(-1px)}.dark #content a.cta-button{background-color:#6cff93;color:#0a0a0a!important}.dark #content a.cta-button:hover{background-color:#8cffab}html[lang=ar] #content a.cta-button::after{content:\"↖\"}[id^=body-] [data-component-part=field-meta-post]{background-color:#fcedb8!important;color:#d66a1e!important}.dark [id^=body-] [data-component-part=field-meta-post]{background-color:rgba(252,237,184,.12)!important;color:#fcedb8!important}"},{"filePath":"swagger/swagger-ui.css","href":"/_mintlify/custom/tabby-26277sa/7e77e8f2d6246341/swagger/swagger-ui.css"}],"page":{"pagePath":"api-reference/webhooks/register-a-webhook","slug":"/api-reference/webhooks/register-a-webhook","pageMetadata":{"openapi":"post /api/v1/webhooks","title":"Register a webhook","description":"Creates a new webhook. Webhooks are registered per `merchant_code` and per environment:\nthe environment is determined by the secret key you authorize the request with —\na production key (`sk_...`) registers webhooks for production payments, a test key\n(`sk_test_...`) registers webhooks for test payments. Each `merchant_code` + key pair\ncan have up to 4 webhooks.\n","href":"/api-reference/webhooks/register-a-webhook"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n code: \"code\",\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_components.p, {\n children: [\"Creates a new webhook. Webhooks are registered per \", _jsx(_components.code, {\n children: \"merchant_code\"\n }), \" and per environment:\\nthe environment is determined by the secret key you authorize the request with —\\na production key (\", _jsx(_components.code, {\n children: \"sk_...\"\n }), \") registers webhooks for production payments, a test key\\n(\", _jsx(_components.code, {\n children: \"sk_test_...\"\n }), \") registers webhooks for test payments. Each \", _jsx(_components.code, {\n children: \"merchant_code\"\n }), \" + key pair\\ncan have up to 4 webhooks.\"]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,p:`p`,..._provideComponents(),...props.components},{Note}=_components;if(!Note)_missingMdxReference(`Note`,true);return _jsx(Note,{children:_jsxs(_components.p,{children:[`This is a public, self-service endpoint. Call `,_jsx(_components.code,{children:`https://api.tabby.ai/api/v1/webhooks`}),` (`,_jsx(_components.code,{children:`https://api.tabby.sa/api/v1/webhooks`}),` for KSA) with your secret key and the `,_jsx(_components.code,{children:`X-Merchant-Code`}),` header. How webhooks work, payload and retries: `,_jsx(_components.a,{href:`/pay-in-4-custom-integration/webhooks`,children:`Payment webhooks`}),`.`]})})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"codeStyling":"dark","config":{},"pageMetadata":{"openapi":"post /api/v1/webhooks","title":"Register a webhook","description":"Creates a new webhook. Webhooks are registered per `merchant_code` and per environment:\nthe environment is determined by the secret key you authorize the request with —\na production key (`sk_...`) registers webhooks for production payments, a test key\n(`sk_test_...`) registers webhooks for test payments. Each `merchant_code` + key pair\ncan have up to 4 webhooks.\n","href":"/api-reference/webhooks/register-a-webhook"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/tabby-26277sa/9f2b5ecdf0f199ba/eslint.config.js","/_mintlify/custom/tabby-26277sa/b26a86079cee90e6/next.config.js","/_mintlify/custom/tabby-26277sa/b8a8460aa1a4fa11/swagger/swagger-ui-bundle.js","/_mintlify/custom/tabby-26277sa/19a31c3b1620a182/swagger/swagger-ui-standalone-preset.js","/_mintlify/custom/tabby-26277sa/316fd6bc989c58f1/swagger/swagger-ui.js"],"openApiReferenceData":{"operation":{"tags":["Webhooks"],"summary":"Register a webhook","description":"Creates a new webhook. Webhooks are registered per `merchant_code` and per environment:\nthe environment is determined by the secret key you authorize the request with —\na production key (`sk_...`) registers webhooks for production payments, a test key\n(`sk_test_...`) registers webhooks for test payments. Each `merchant_code` + key pair\ncan have up to 4 webhooks.\n","operationId":"postWebhook","security":["882e0780-6a0b-491f-a828-8d87a7eac0b9"],"parameters":["297ed88b-c380-4803-b627-8e1b2f6931f0"],"requestBody":"ac4dd261-5435-4b4c-ba5e-d72d1a357da7","responses":{"200":"a6ce59f0-5912-4628-a622-d636c8d51cf9","400":"70c8e2af-b47c-4945-8ab5-766e499729f3","401":"a92812a8-a7ba-4691-9b2e-309eeb9017f0","404":"d7cfcaf9-2de0-4165-9297-915559341678","500":"4012b8bd-005e-4682-8c37-a703a3d26a60"},"method":"post","type":"path","servers":["7d7c4395-25e2-4a21-baba-1d9524afd8d7","f6a4d9f7-9247-43bd-896a-c4e6012edea7"],"path":"/api/v1/webhooks","baseUrlOptions":["https://api.tabby.ai/","https://api.tabby.sa/"],"title":"Register a webhook","codeSamples":[],"requestExampleLanguages":["bash","python","javascript","php","go","java","ruby"],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated","prefillPlaygroundWithExample":true,"prefillPlaygroundExamples":[{"body.url":"https://example.com/","body.header.title":"Arbitrary header name to sign the request","body.header.value":"Random string to sign the request"}]},"dependencies":{"parameters":{"297ed88b-c380-4803-b627-8e1b2f6931f0":{"in":"header","name":"X-Merchant-Code","required":true,"schema":{"type":"string","example":"code provided to you from Tabby side","isRequired":true,"description":"Used for multi store/countries setup, please contact your Account manager to recognize that","uniqueKey":"","typeLabel":"string"},"description":"Used for multi store/countries setup, please contact your Account manager to recognize that"}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"url":{"type":"string","format":"uri","example":"https://example.com/","description":"HTTPS endpoint for notifications. The URL should be valid and accessible (not local).","isRequired":true,"uniqueKey":"url","typeLabel":"string\u003curi>"},"header":{"type":"object","properties":{"title":{"type":"string","example":"Arbitrary header name to sign the request","description":"Arbitrary header name to sign the request.","uniqueKey":"header.title","typeLabel":"string"},"value":{"type":"string","example":"Random string to sign the request","description":"Random string to sign the request.","uniqueKey":"header.value","typeLabel":"string"}},"uniqueKey":"header","typeLabel":"object"}},"required":["url"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"url":"https://example.com/","header":{"title":"Arbitrary header name to sign the request","value":"Random string to sign the request"}}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"a6ce59f0-5912-4628-a622-d636c8d51cf9":{"description":"Success. Webhook object is returned.","content":{"application/json":{"schema":{"type":"object","properties":{"is_test":{"type":"boolean","default":false,"deprecated":true,"description":"Deprecated. The webhook environment is determined by the secret key used at registration (production `sk_...` or test `sk_test_...`), not by this field.","isRequired":true,"uniqueKey":"is_test","typeLabel":"boolean"},"url":{"type":"string","format":"uri","example":"https://example.com/","description":"HTTPS endpoint for notifications. The URL should be valid and accessible (not local).","isRequired":true,"uniqueKey":"url","typeLabel":"string\u003curi>"},"header":{"oneOf":[{"type":"object","properties":{"title":{"oneOf":[{"type":"string","example":"Arbitrary header name to sign the request","description":"Arbitrary header name to sign the request.","uniqueKey":"header.oneOf.0.title.oneOf.0","typeLabel":"string"},{"type":"null","example":"Arbitrary header name to sign the request","description":"Arbitrary header name to sign the request.","uniqueKey":"header.oneOf.0.title.oneOf.1","typeLabel":"null"}],"uniqueKey":"header.oneOf.0.title","typeLabel":"string | null"},"value":{"oneOf":[{"type":"string","example":"Random string to sign the request","description":"Random string to sign the request.","uniqueKey":"header.oneOf.0.value.oneOf.0","typeLabel":"string"},{"type":"null","example":"Random string to sign the request","description":"Random string to sign the request.","uniqueKey":"header.oneOf.0.value.oneOf.1","typeLabel":"null"}],"uniqueKey":"header.oneOf.0.value","typeLabel":"string | null"}},"uniqueKey":"header.oneOf.0","typeLabel":"object"},{"type":"null","properties":{"title":{"oneOf":[{"type":"string","example":"Arbitrary header name to sign the request","description":"Arbitrary header name to sign the request."},{"type":"null","example":"Arbitrary header name to sign the request","description":"Arbitrary header name to sign the request."}]},"value":{"oneOf":[{"type":"string","example":"Random string to sign the request","description":"Random string to sign the request."},{"type":"null","example":"Random string to sign the request","description":"Random string to sign the request."}]}},"uniqueKey":"header.oneOf.1","typeLabel":"null"}],"uniqueKey":"header","typeLabel":"object | null"},"id":{"type":"string","readOnly":true,"example":"unique webhook id","description":"Unique webhook ID, assigned by Tabby.","uniqueKey":"id","typeLabel":"string"}},"required":["url","is_test"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"is_test":false,"url":"https://example.com/","header":{"title":"Arbitrary header name to sign the request","value":"Random string to sign the request"},"id":"unique webhook id"}}},"exampleType":"generated"}},"exampleType":"generated"},"70c8e2af-b47c-4945-8ab5-766e499729f3":{"description":"One of the required fields is missing or request is not formatted correctly.","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","example":"error","uniqueKey":"status","typeLabel":"string"},"errorType":{"type":"string","example":"bad_data","uniqueKey":"errorType","typeLabel":"string"},"error":{"type":"string","example":"bad_request","uniqueKey":"error","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"status":"error","errorType":"bad_data","error":"bad_request"}}},"exampleType":"generated"}},"exampleType":"generated"},"a92812a8-a7ba-4691-9b2e-309eeb9017f0":{"description":"The request cannot be authorized.","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","example":"error","uniqueKey":"status","typeLabel":"string"},"errorType":{"type":"string","example":"not_authorized","uniqueKey":"errorType","typeLabel":"string"},"error":{"type":"string","example":"authorization","uniqueKey":"error","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"status":"error","errorType":"not_authorized","error":"authorization"}}},"exampleType":"generated"}},"exampleType":"generated"},"d7cfcaf9-2de0-4165-9297-915559341678":{"description":"You are using an incorrect ID.","content":{"application/json":{"schema":{"type":"string","example":"404 page not found","uniqueKey":"","typeLabel":"string"},"examples":{"Example":{"title":"Example","value":"404 page not found"}},"exampleType":"generated"}},"exampleType":"generated"},"4012b8bd-005e-4682-8c37-a703a3d26a60":{"description":"Something bad happened. We're notified.","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","example":"error","uniqueKey":"status","typeLabel":"string"},"errorType":{"type":"string","example":"internal","uniqueKey":"errorType","typeLabel":"string"},"error":{"type":"string","example":"Internal Server Error","uniqueKey":"error","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"status":"error","errorType":"internal","error":"Internal Server Error"}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"882e0780-6a0b-491f-a828-8d87a7eac0b9":{"bearerAuth":{"type":"http","scheme":"bearer","description":"Bearer authentication header of the form `Bearer \u003csecret_key>`, where `\u003csecret_key>` is your `secret_key`.\n","scopes":["secret_key"]}}},"servers":{"7d7c4395-25e2-4a21-baba-1d9524afd8d7":{"url":"https://api.tabby.ai/","description":"Production (UAE)"},"f6a4d9f7-9247-43bd-896a-c4e6012edea7":{"url":"https://api.tabby.sa/","description":"Production (KSA)"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","description":"Bearer authentication header of the form `Bearer \u003csecret_key>`, where `\u003csecret_key>` is your `secret_key`.\n","scopes":["secret_key"]},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003csecret_key>`, where `\u003csecret_key>` is your `secret_key`.\n","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearerAuth","name":"Authorization"}],"title":"bearerAuth"}]},"originalFileLocation":"openapi.yaml"},"subdomain":"tabby-26277sa","siteName":"Tabby","title":"Register a webhook - Tabby","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{"en":{"href":"/api-reference/webhooks/register-a-webhook","matchLevel":0},"ar":{"href":"/ar/marketing/toolkit","matchLevel":4}}},"lastModified":"2026-09-23T14:39:40.685Z","originalFileLocation":"api-reference/webhooks/register-a-webhook.mdx","locale":"en"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"light\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Creates a new webhook. Webhooks are registered per merchant_code and per environment: the environment is determined by the secret key you authorize the request with — a production key (sk_...) registers webhooks for production payments, a test key (sk_test_...) registers webhooks for test payments. Each merchant_code + key pair can have up to 4 webhooks.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Tabby\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/tabby-26277sa/w0O5YG5GGUzj-5B0/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/tabby-26277sa/w0O5YG5GGUzj-5B0/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/tabby-26277sa/w0O5YG5GGUzj-5B0/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/tabby-26277sa/w0O5YG5GGUzj-5B0/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/tabby-26277sa/w0O5YG5GGUzj-5B0/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/tabby-26277sa/w0O5YG5GGUzj-5B0/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/tabby-26277sa/w0O5YG5GGUzj-5B0/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/tabby-26277sa/w0O5YG5GGUzj-5B0/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/tabby-26277sa/w0O5YG5GGUzj-5B0/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Register a webhook - Tabby\">\u003cmeta data-mint-head property=\"og:description\" content=\"Creates a new webhook. Webhooks are registered per merchant_code and per environment: the environment is determined by the secret key you authorize the request with — a production key (sk_...) registers webhooks for production payments, a test key (sk_test_...) registers webhooks for test payments. Each merchant_code + key pair can have up to 4 webhooks.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Tabby\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.tabby.sa/api-reference/webhooks/register-a-webhook\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://tabby-26277sa.mintlify.app/_mintlify/api/og/v2?division=Webhooks\u0026amp;title=Register+a+webhook\u0026amp;description=Creates+a+new+webhook.+Webhooks+are+registered+per+%60merchant_code%60+and+per+environment%3A%0Athe+environment+is+determined+by+the+secret+key+you+authorize+the+reques\u0026amp;theme=4e6fe71b00c6800bb4092db9\u0026amp;signature=8466e8120b3106fb234f9653c87d554a48ab89f37ec784c89d16baec14ad5152\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Register a webhook - Tabby\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Creates a new webhook. Webhooks are registered per merchant_code and per environment: the environment is determined by the secret key you authorize the request with — a production key (sk_...) registers webhooks for production payments, a test key (sk_test_...) registers webhooks for test payments. Each merchant_code + key pair can have up to 4 webhooks.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://tabby-26277sa.mintlify.app/_mintlify/api/og/v2?division=Webhooks\u0026amp;title=Register+a+webhook\u0026amp;description=Creates+a+new+webhook.+Webhooks+are+registered+per+%60merchant_code%60+and+per+environment%3A%0Athe+environment+is+determined+by+the+secret+key+you+authorize+the+reques\u0026amp;theme=4e6fe71b00c6800bb4092db9\u0026amp;signature=8466e8120b3106fb234f9653c87d554a48ab89f37ec784c89d16baec14ad5152\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/tabby-26277sa/w0O5YG5GGUzj-5B0/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Tabby\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#41A854\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.tabby.sa/api-reference/webhooks/register-a-webhook\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/webhooks/register-a-webhook.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.tabby.sa/#organization\",\"name\":\"Tabby\",\"url\":\"https://docs.tabby.sa\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/tabby-26277sa/VGR1VunycMFYW0gO/logo/tabby-badge.svg?fit=max\u0026auto=format\u0026n=VGR1VunycMFYW0gO\u0026q=85\u0026s=0fd2a3090f99185f666929e20a7504a4\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.tabby.sa#website\",\"name\":\"Tabby\",\"url\":\"https://docs.tabby.sa\",\"publisher\":{\"@id\":\"https://docs.tabby.sa/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.tabby.sa/api-reference/webhooks/register-a-webhook#webpage\",\"url\":\"https://docs.tabby.sa/api-reference/webhooks/register-a-webhook\",\"name\":\"Register a webhook\",\"description\":\"Creates a new webhook. Webhooks are registered per merchant_code and per environment: the environment is determined by the secret key you authorize the request with — a production key (sk_...) registers webhooks for production payments, a test key (sk_test_...) registers webhooks for test payments. Each merchant_code + key pair can have up to 4 webhooks.\",\"dateModified\":\"2026-09-23T14:39:40.685Z\",\"isPartOf\":{\"@id\":\"https://docs.tabby.sa#website\"},\"breadcrumb\":{\"@id\":\"https://docs.tabby.sa/api-reference/webhooks/register-a-webhook#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.tabby.sa/api-reference/webhooks/register-a-webhook#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Tabby\",\"item\":\"https://docs.tabby.sa\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Register a webhook\",\"item\":\"https://docs.tabby.sa/api-reference/webhooks/register-a-webhook\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.tabby.sa/api-reference/webhooks/register-a-webhook#apireference\",\"headline\":\"Register a webhook\",\"name\":\"Register a webhook\",\"description\":\"Creates a new webhook. Webhooks are registered per merchant_code and per environment: the environment is determined by the secret key you authorize the request with — a production key (sk_...) registers webhooks for production payments, a test key (sk_test_...) registers webhooks for test payments. Each merchant_code + key pair can have up to 4 webhooks.\",\"url\":\"https://docs.tabby.sa/api-reference/webhooks/register-a-webhook\",\"mainEntityOfPage\":{\"@id\":\"https://docs.tabby.sa/api-reference/webhooks/register-a-webhook#webpage\"},\"dateModified\":\"2026-09-23T14:39:40.685Z\",\"publisher\":{\"@id\":\"https://docs.tabby.sa/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.tabby.sa#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Tabby\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Tabby","nav":{"global":null,"languages":[{"language":"en","default":true,"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/introduction/what-is-tabby"}]},{"tab":"API Playground","groups":[{"group":"API Playground","pages":[{"title":"API Reference Documentation","href":"/api-reference/overview"},{"title":"API Error Codes","sidebarTitle":"Error codes","href":"/api-reference/response-codes"}]},{"group":"Checkout","pages":[{"openapi":"post /api/v2/checkout","title":"Create a session","href":"/api-reference/checkout/create-a-session"},{"title":"Session creation payload model","href":"/api-reference/checkout/session-payload-model"}]},{"group":"Payments","pages":[{"openapi":"get /api/v2/payments/{id}","title":"Retrieve a payment","href":"/api-reference/payments/retrieve-a-payment"},{"openapi":"put /api/v2/payments/{id}","title":"Update a payment","href":"/api-reference/payments/update-a-payment"},{"openapi":"post /api/v2/payments/{id}/captures","title":"Capture a payment","href":"/api-reference/payments/capture-a-payment"},{"openapi":"post /api/v2/payments/{id}/refunds","title":"Refund a payment","href":"/api-reference/payments/refund-a-payment"},{"openapi":"post /api/v2/payments/{id}/close","title":"Close a payment","href":"/api-reference/payments/close-a-payment"},{"openapi":"get /api/v2/payments","title":"List of all payments","description":"Returns a list of success payments (`AUTHORIZED` or `CLOSED`) you’ve previously created. The payments are returned in sorted order, with the most recent payments appearing first. Each entry in the array is a separate payments object, including the status, any captures and any refunds. If no more payments are available, the resulting array will be empty. Payments might be filtered by creation date.","href":"/api-reference/payments/list-of-all-payments"}]},{"group":"Webhooks","pages":[{"openapi":"post /api/v1/webhooks","title":"Register a webhook","href":"/api-reference/webhooks/register-a-webhook"},{"openapi":"get /api/v1/webhooks","title":"Retrieve all webhooks","description":"Retrieves all registred webhooks.","href":"/api-reference/webhooks/retrieve-all-webhooks"},{"openapi":"get /api/v1/webhooks/{id}","title":"Retrieve a webhook","href":"/api-reference/webhooks/retrieve-a-webhook"},{"openapi":"put /api/v1/webhooks/{id}","title":"Update a webhook","href":"/api-reference/webhooks/update-a-webhook"},{"openapi":"delete /api/v1/webhooks/{id}","title":"Remove a webhook","href":"/api-reference/webhooks/remove-a-webhook"}]},{"group":"Dispute Webhooks","pages":[{"openapi":"post /api/v1/dispute-webhooks","title":"Register a dispute webhook","href":"/api-reference/dispute-webhooks/register-a-dispute-webhook"},{"openapi":"get /api/v1/dispute-webhooks","title":"Retrieve all dispute webhooks","href":"/api-reference/dispute-webhooks/retrieve-all-dispute-webhooks"},{"openapi":"get /api/v1/dispute-webhooks/{id}","title":"Retrieve a dispute webhook","href":"/api-reference/dispute-webhooks/retrieve-a-dispute-webhook"},{"openapi":"put /api/v1/dispute-webhooks/{id}","title":"Update a dispute webhook","href":"/api-reference/dispute-webhooks/update-a-dispute-webhook"},{"openapi":"delete /api/v1/dispute-webhooks/{id}","title":"Remove a dispute webhook","href":"/api-reference/dispute-webhooks/remove-a-dispute-webhook"}]},{"group":"Disputes","pages":[{"openapi":"get /api/v1/disputes","title":"Get disputes list","href":"/api-reference/disputes/get-disputes-list"},{"openapi":"get /api/v1/disputes/{disputeId}","title":"Get dispute by id","href":"/api-reference/disputes/get-dispute-by-id"},{"openapi":"post /api/v1/disputes/{disputeId}/provide-evidence","title":"Provide evidence for a dispute","href":"/api-reference/disputes/provide-evidence"},{"openapi":"post /api/v1/disputes/approve","title":"Approve disputes","href":"/api-reference/disputes/approve-disputes"},{"openapi":"post /api/v1/disputes/challenge","title":"Challenge disputes","href":"/api-reference/disputes/challenge-disputes"},{"openapi":"post /api/v1/disputes/attachments/upload","title":"Upload attachment","href":"/api-reference/disputes/upload-attachment"}]}]},{"tab":"Marketing Toolkit","pages":[{"title":"Marketing Toolkit","href":"/marketing/toolkit"}]}]},{"language":"ar","pages":[{"title":"ar","href":"/ar/marketing/toolkit"}]}]},"title":"Register a webhook - Tabby","buildId":"dpl_2xiSHD9XEvLsPGPcfoMtkLTB3dy9","deploymentId":"dpl_2xiSHD9XEvLsPGPcfoMtkLTB3dy9","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-DmVyH30O.js","utils-BHQqGGOd.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-CD-E4BIt.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-Bp5Lq9Ds.js","snippetPresets-C4xAVCFP.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-CgXVLxUC.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-BF8I5oUf.js","shallow-Byd0lWnC.js","getApiPlaygroundDisplay-BGOZG1OK.js","CodeSnippet-CpvQL0CY.js","CodeSnippets-B8wkBKXa.js","Page-CBCH2P7b.js","getPastedJson-Ry3scI3Y.js","icon-D7a9HcdD.js","MethodPill-CJ8pmHhz.js","DuplicateIcon-rh1HJF0t.js","createIcon-DvGznqYs.js","DynamicMarkdown-Cc6AuSHS.js","SectionHeading-B4A0S-ep.js","axios-vUo_bRtp.js","Markdown-Cc16CX65.js","clsx-Cs6nMGht.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-zbf22OZA.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-C_fs-y5n.js"]}